<?php
// ======================================================================== //
//                                                                          //
//   KooBI- Webportalsystem                                                 //
//   2003-2005 © dream4 - http://www.dream4.de                              //
//   Removing this Info without permission breaks your License.             //
//   Please note: KooBI is no Freeware! Any Part of the Software is © by    //
//   their owner.                                                           //
//                                                                          //
//   ====================================================================   //
//                                                                          //   
//   dream4 | webservices - Am Michelsgrund 7 - 69469 Weinheim - Germany    //    
//   tel. +49(0) 6201 - 980442 / fax. +49(0) 6201 - 64809                   //
//                                                                          //
// ======================================================================== //
session_destroy();
if (!empty($_POST['kname']) && !empty($_POST['kpass'])) {
	$sql = new dbc("SELECT uid,uname,pass,status,email FROM ".PREFIX."_user WHERE (uname='".escs($_POST['kname'])."' AND pass='".md5(escs($_POST['kpass']))."') AND status='1' LIMIT 1");
	$row = $sql->fetchrow();
	$name = $row->uname;
	$email = $row->email;
	
	
	//  Prüfen, ob User gebannt ist
	if(bannedname($_POST['kname'])){
		setcookie("kuid", "" , time()-10000);
		setcookie("kpass", "" ,time()-10000);
		$banned = 1;
		$msg = "banned";
		$row = "";
	}
	
	if(bannedemail($email)){
		setcookie("kuid", "" , time()-10000);
		setcookie("kpass", "" ,time()-10000);
		$banned = 1;
		$msg = "isbanned_email";
		$row = "";
	}
	
	// Wenn kein User gefunden wird...
	if(!$row->uid){
		if($msg) { 
		$msg = $msg; } else {
		$msg = "loginerror_1_t" ;}
		$EOUT = msg("loginerror_1", $msg, str_replace("__URL__", $_REQUEST['redir'], $lang['redirect']), $_REQUEST['redir']);
		$NOOUT = 1;
		$sname = $lang['loginerror_1'];
	} else {
		
		
		// Wenn Daten mit DB übereinstimmt...
		if ($row->uid) {
			// Wenn User eingeloggt bleiben möchte, Cookie auf 1 Jahr setzen
			if($_POST['staylogged']=="ja"){
				
				setcookie("kuid", $row->uid, time()+365*24*3600, '/');
				setcookie("kpass",md5($_REQUEST['kpass']),time()+365*24*3600, '/');
				$login="ok";
			} else {
				// Wenn nicht, nur solange, wie er den Browser geöffnet hat
				setcookie("kuid", $row->uid,0, '/');
				setcookie("kpass",md5($_REQUEST['kpass']),0, '/');
				$login="ok";
			}
			
			// Nachricht für erfolgreichen Login an Browser ausgeben
			$EOUT = msg("loginok", "loginok_t", str_replace("__URL__", $_REQUEST['redir'], $lang['redirect']), $_REQUEST['redir']);
			$NOOUT = 1;
			$sname = $lang['loginok'];
		}
	}
}

// KEIN BENUTZERNAME UND KENNWORT EINGEGEBEN
if ((!$_POST['kname'] || !$_POST['kpass']) && (!$login)) {
	$EOUT = msg("loginerror_1", "loginerror_2_t", str_replace("__URL__", $_REQUEST['redir'], $lang['redirect']), $_REQUEST['redir']);
	$sname = $lang['loginerror_1'];
	$NOOUT = 1;
}
?>